%define name knetfilter
%define version 2.2.0
%define release 1mdk


Name: %name
Summary: KNetFilter - A GUI for configuring the 2.4 kernel IP Tables
Version: %version
Release: %release
License: GPL
Group: Networking/Other
Source: %{name}-%{version}.tar.bz2
BuildRoot: %_tmppath/%{name}-buildroot
Requires: iptables

%description
Knetfilter is a GUI to configure your 2.4 kernel IP firewalling,
masquerading and NAT rules.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}

%build

export PATH="$PATH:/sbin"

%configure --disable-rpath

%make

%install

make DESTDIR=$RPM_BUILD_ROOT install 

chmod 755 $RPM_BUILD_ROOT%_bindir/*

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/knetfilter"\
title="Knetfilter"\
longtitle="KDE frontend to iptables"\
needs="x11"\
section="Networking/Other"
EOF
)

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%_bindir/*
%_datadir/applnk/Internet/knetfilter.desktop
#%_datadir/apps/knetfilter/
%_datadir/doc/HTML/en/knetfilter/
%_datadir/icons/*
%_menudir/*

%changelog
* Thu Sep 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.0-1mdk
- new
